Bug 1882809 - Moby should not be carrying its own version or runc
Summary: Moby should not be carrying its own version or runc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: moby-engine
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-25 18:21 UTC by Daniel Walsh
Modified: 2020-09-29 18:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-28 21:06:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Walsh 2020-09-25 18:21:33 UTC
Other tools like Podman and Buildah need to use runc and the one packaged with Moby is too old.

If a package needs an older version of an executable it should be installed in a private directory which would allow us to install runc simultaneous.

I believe this breaks the Fedora Packaging guidelines and should be fixed immediately.

Comment 1 Olivier Lemasle 2020-09-27 12:49:00 UTC
Hi Daniel,

runc is currently not packaged with Fedora package moby-engine.
Package moby-engine requires package runc (which I do not own - it is owned by jchaloup) and uses runc provided by that package.

Comment 2 Daniel Walsh 2020-09-29 18:01:17 UTC
Sorry you are right the upstream docker-ce rpm is the problem.


Note You need to log in before you can comment on or make changes to this bug.